Page MenuHomeFreeBSD

games/hypatia_engine: create port
ClosedPublic

Authored by xmj on Jun 24 2015, 5:23 AM.

Details

Reviewers
koobs
Group Reviewers
Python
Summary
games/hypatia_engine: create port

Hypatia is a game engine for single player 2D action adventure games. You can
use it to make a game like Legend of Zelda: Oracle of Ages and Oracle of
Seasons. Hypatia is aimed at non-programmers and programmers alike.

WWW: https://github.com/lillian-lemmer/hypatia

DiffRev:       D2896
Test Plan

portlint: looks fine.
poudriere: ok

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

xmj retitled this revision from to games/hypatia: create port.
xmj updated this object.
xmj edited the test plan for this revision. (Show Details)
xmj added a reviewer: Python.
koobs requested changes to this revision.Jun 24 2015, 6:30 AM
koobs added a reviewer: koobs.
koobs added a subscriber: koobs.
koobs added inline comments.
games/hypatia/Makefile
5 ↗(On Diff #6418)

Author was going to name and register this on PYPI as hypatia-engine (or similar)

There is an existing project on PYPI named hypatia

This will cause a conflict/collision (similar to pcre/python-pcre)

Clarify the proper distribution name with author prior to commit

12 ↗(On Diff #6418)

LICENSE_FILE?

14 ↗(On Diff #6418)

Lowercase P's once Pygamin changes

This revision now requires changes to proceed.Jun 24 2015, 6:30 AM
xmj edited edge metadata.
xmj edited edge metadata.
xmj marked an inline comment as done.

change portname
change port directory
use 0.2.3
use CHEESESHOP as master site

xmj marked an inline comment as done.Jul 1 2015, 6:41 AM
xmj added inline comments.
games/hypatia/Makefile
12 ↗(On Diff #6418)

Absent.

xmj retitled this revision from games/hypatia: create port to games/hypatia_engine: create port.Jul 1 2015, 11:00 AM
xmj edited edge metadata.
sunpoet added inline comments.
games/hypatia_engine/Makefile
7–8

Pleas change the order to pet portlint.

15–16

It'll be great to sort RUN_DEPENDS.

@sunpoet -- given that I gave up my commit bit, and that @brnrd is on holidays:

Could you please take a look, commandeer this revision, and commit it?

koobs edited edge metadata.

LGTM, someone needs to commit it.

This revision is now accepted and ready to land.Jul 17 2015, 6:18 AM

There's PR 201802, which says the port is named hypatia, not hypatia_engine.

Which one of this review and the PR is right ?

In D2896#64254, @pi wrote:

There's PR 201802, which says the port is named hypatia, not hypatia_engine.

Which one of this review and the PR is right ?

The patches in the PR were produced after this revision was created and accepted. It's possible the submitter believed this revision would not make further progress (be committed).

The changes in this revision should all be included and merged into the one in the PR (if they haven't been already), and the PR updated (title and patch) to use the correct (PyPI) name, hypatia_engine.

Optionally this revision can be updated (and commandeered) once the above changes are made. ie; This revision is free/open to be re-assigned.